<?php
/**
* 
* Load JavaScript
*
* Load JavaScript for Admin Options Page
*
* @global $wp_plugin_dir  plugin directory absolute path
* @global $wp_plugin_url  plugin url
*
* @param $osah_jsFile  admin-scripts.js absolute path variable
* @var string
*
* @method wp_register_script( $handle, $src, $deps, $ver, $in_footer )
* @method wp_enqueue_script( $handle, $src, $deps, $ver ,$in_footer  )
* 
*/
/*----------------------------------------------------------*/
if (!class_exists('osah_load_admin_jsClass')) { //checks is osah_load_admin_jsClass class exists
	class osah_load_admin_jsClass { // begin osah_load_admin_jsClass class
		function __construct() { // the constructor	
		}
		function osah_load_admin_js(){ // begin osah_load_admin_js function 
			global $wp_plugin_dir ;
			global $wp_plugin_url;
			$osah_jsFile = $wp_plugin_dir . '/js/admin-scripts.js';
			if ( file_exists($osah_jsFile) ) {
				wp_register_script( 'osah_adminjs' , $wp_plugin_url . '/js/admin-scripts.js' , false , 1.0, true);
				wp_enqueue_script( 'osah_adminjs' );
			}
			wp_enqueue_script('jquery');
		} // end osah_load_admin_js function
	} // end osah_load_admin_jsClass class
}

?>